Bug 25404 - directory-logger Fehlermeldungen
directory-logger Fehlermeldungen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 4.1-3-errata
Assigned To: Philipp Hahn
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-09 17:09 CET by Stefan Gohmann
Modified: 2016-10-26 17:08 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
25404.patch (1.44 KB, patch)
2016-10-17 14:27 CEST, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2011-12-09 17:09:26 CET
09.12.11 16:58:47.931  LISTENER    ( WARN    ) : initializing module directory_logger
/bin/touch: cannot touch `/var/log/univention/directory-logger.log': Permission denied
09.12.11 16:58:47.941  LISTENER    ( ERROR   ) : directory_logger: /var/log/univention/directory-logger.log could not be created.
Traceback (most recent call last):
  File "/usr/lib/univention-directory-listener/system/directory_logger.py", line 217, in handler
    modifier = new_copy['modifiersName'][0]
KeyError: 'modifiersName'
Comment 1 Stefan Gohmann univentionstaff 2012-12-03 07:48:19 CET
Auf einem UCS 3.1 hatte ich die Meldungen nicht. QA zu 3.2.
Comment 2 Arvid Requate univentionstaff 2013-08-19 19:23:25 CEST
True, neither of the messages occur in a recent UCS 3.1-1 or UCS 3.2 interim test environment. Yet, the modifiersName traceback will be triggered in case the attribute is missing on some LDAP object for some unknown reason. Maybe this bug should be turned into an enhancement bug for some future target milestone to make the code more robust against data inconsistencies like this one?
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-08-02 14:38:54 CEST
Reoccurred on a UCS@school 4.1R2 system.
Comment 4 Philipp Hahn univentionstaff 2016-10-10 19:05:31 CEST
(In reply to Stefan Gohmann from comment #0)
> 09.12.11 16:58:47.931  LISTENER    ( WARN    ) : initializing module
> directory_logger
> /bin/touch: cannot touch `/var/log/univention/directory-logger.log':
> Permission denied
> 09.12.11 16:58:47.941  LISTENER    ( ERROR   ) : directory_logger:
> /var/log/univention/directory-logger.log could not be created.

That was fixed in UCS-4.0-0 by r55720 of Bug #36604

> Traceback (most recent call last):
>   File "/usr/lib/univention-directory-listener/system/directory_logger.py",
> line 217, in handler
>     modifier = new_copy['modifiersName'][0]
> KeyError: 'modifiersName'

r73057 | Bug #25404 log: Copyright 2016
r73056 | Bug #25404 log: Fix old LDAP parsing

Package: univention-directory-logger
Version: 7.0.1-2.38.201610101831
Branch: ucs_4.1-0
Scope: errata4.1-3

r73058 | Bug #25404 log: Fix old LDAP parsing

r73059 | Bug #25404 log: Fix old LDAP parsing YAML
 univention-directory-logger.yaml
Comment 5 Philipp Hahn univentionstaff 2016-10-13 11:44:32 CEST
r73111 | Bug #25404 log: Fix old LDAP parsing

Package: univention-directory-logger
Version: 7.0.1-2.39.201610131121
Branch: ucs_4.1-0
Scope: errata4.1-3

r73126 | Bug #25404 log: Fix old LDAP parsing

r73141 | Bug #25404,Bug #34916,Bug #34420,Bug #42665: univention-directory-logger YAML
 univention-directory-logger.yaml
Comment 6 Philipp Hahn univentionstaff 2016-10-17 14:27:50 CEST
Created attachment 8115 [details]
25404.patch

3704cc5 Bug #25404 log: Fix old LDAP parsing
11fefb0 Bug #25404 log: Fix old LDAP parsing
Comment 7 Felix Botner univentionstaff 2016-10-21 10:16:53 CEST
OK - missing operational attributes
OK - yaml
OK - merged to 4.2
Comment 8 Janek Walkenhorst univentionstaff 2016-10-26 17:08:59 CEST
<http://errata.software-univention.de/ucs/4.1/317.html>